import * as index from '../components/index.js';
import { toKebabCase } from '../utilities/toKebabCase.js';

function install(Vue, theme, options) {
  if (options === void 0) {
    options = {};
  }
  for (var componentName in index) {
    var Component = index[componentName];
    if (Component && Component.prototype instanceof Vue) {
      var name_1 = "".concat(options.prefix || "f", "-").concat(toKebabCase(componentName));
      Vue.component(name_1, Component);
    }
  }
}

export { install as default };
